LoadCollection {cheddar} | R Documentation

## Loading and saving CommunityCollection objects

### Description

`LoadCollection` and `SaveCollection` are functions for loading and saving codeCommunityCollection objects to text files.

### Usage

    LoadCollection(dir, ...)
    SaveCollection(collection, dir, ...)

### Arguments

`collection` | an object of class `CommunityCollection`.
`dir` | a directory.
`...` | other values to `LoadCommunity` or `SaveCommunity`.

### Details

The `Community` objects in `collection` are saved to a directory named `communities` inside `dir`. The order of the collection is not saved. Any existing data in `dir` is ignored.

### Value

`LoadCollection` returns a new `CommunityCollection`.

### Author(s)

Lawrence Hudson

### See Also

`CommunityCollection`, `OrderCollection`, `LoadCommunity`, `SaveCommunity`

### Examples

    data(pHWebs)
    temp.path <- tempfile()
    SaveCollection(pHWebs, temp.path)
    pHWebs.loaded <- LoadCollection(temp.path)
    pHWebs.loaded <- OrderCollection(pHWebs.loaded, 'pH')
    unlink(temp.path, recursive=TRUE)
    identical(pHWebs, pHWebs.loaded)    # TRUE

[Package cheddar version 0.1-633 Index]